Bug 1257898 - initial-setup does not start when user missing in anaconda (liveinst)
initial-setup does not start when user missing in anaconda (liveinst)
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
Unspecified Unspecified
unspecified Severity urgent
: ---
: ---
Assigned To: Martin Kolman
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2015-08-28 07:03 EDT by satellitgo
Modified: 2016-12-20 09:30 EST (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2016-12-20 09:30:25 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
initial-setup fails with scrolling window on first boot after install (74.17 KB, image/png)
2015-08-28 07:03 EDT, satellitgo
no flags Details

  None (edit)
Description satellitgo 2015-08-28 07:03:38 EDT
Created attachment 1067955 [details]
initial-setup fails with scrolling window on first boot after install

Description of problem:
initial-setup does not start when user missing in anaconda (liveinst) 

Version-Release number of selected component (if applicable):
anaconda 23.19-1-1
How reproducible:

Steps to Reproduce:

Actual results:
scrolling window on boot with repeated error - (see screenshot attachment)

Expected results:
initil-setup to run so user can be added

Additional info:
Comment 1 Martin Kolman 2015-08-28 07:46:46 EDT
Looks like some Python 3 compatibility issues in our TUI framework.
Comment 2 satellitgo 2015-09-01 22:54:46 EDT
no Initial Setup at all in cinnamon in f23 virt-manager:QEMU/KVM
logs in after install to root with password created in anaconda and have to create user with password.
Comment 3 Fedora End Of Life 2016-11-24 07:24:09 EST
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 4 Fedora End Of Life 2016-12-20 09:30:25 EST
Fedora 23 changed to end-of-life (EOL) status on 2016-12-20. Fedora 23 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.